Search documentation of bb

# BB.Error.Kinematics.NoSolution exception (bb v0.17.0)

Copy Markdown View Source

Inverse kinematics solver failed to converge.

Raised when the IK solver cannot find a solution within the maximum number of iterations.

## Summary

### Types

t()

### Functions

exception(args)

Create an `Elixir.BB.Error.Kinematics.NoSolution` without raising it.

## Types

# t()

    @type t() :: %BB.Error.Kinematics.NoSolution{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      iterations: non_neg_integer(),
      path: term(),
      positions: map() | nil,
      residual: float(),
      splode: term(),
      stacktrace: term(),
      target_link: atom(),
      target_pose: term(),
      vars: term()
    }

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Kinematics.NoSolution{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      iterations: term(),
      path: term(),
      positions: term(),
      residual: term(),
      splode: term(),
      stacktrace: term(),
      target_link: term(),
      target_pose: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Kinematics.NoSolution` without raising it.

## Keys

- :target_link
- :target_pose
- :iterations
- :residual
- :positions